Package org.eclipse.rdf4j.query.dawg

## Class DAWGTestResultSetParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.common.exception.RDF4JException
        - - org.eclipse.rdf4j.query.dawg.DAWGTestResultSetParseException

- All Implemented Interfaces:
    `Serializable`

      public class DAWGTestResultSetParseException
      extends RDF4JException

  An exception that is thrown to indicate that the parsing of a DAWG Test Result Set graph failed due to an incompatible or incomplete graph.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DAWGTestResultSetParseException​(String msg)` | Creates a new DAWGTestResultSetParseException.
    `DAWGTestResultSetParseException​(String msg, Throwable cause)` | Creates a new DAWGTestResultSetParseException wrapping another exception.
    `DAWGTestResultSetParseException​(Throwable cause)` | Creates a new DAWGTestResultSetParseException wrapping another exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DAWGTestResultSetParseException

          public DAWGTestResultSetParseException​(String msg)

      Creates a new DAWGTestResultSetParseException.
      Parameters:
        `msg` - An error message.

    - #### DAWGTestResultSetParseException

          public DAWGTestResultSetParseException​(Throwable cause)

      Creates a new DAWGTestResultSetParseException wrapping another exception.
      Parameters:
        `cause` - The cause of the exception.

    - #### DAWGTestResultSetParseException

          public DAWGTestResultSetParseException​(String msg,
                                                 Throwable cause)

      Creates a new DAWGTestResultSetParseException wrapping another exception.
      Parameters:
        `msg` - An error message.
        `cause` - The cause of the exception.